ETHERSWITCH(4)

NAME
etherswitch - Ethernet switch framework

SYNOPSIS
To compile the framework into the kernel, place the following lines in the kernel configuration file:

device etherswitch
device miiproxy
device iicbus

DESCRIPTION
The etherswitch driver provides a framework for Ethernet switch devices.

FILES
/dev/etherswitch?
    etherswitch device nodes

SEE ALSO
adm6996fc(4), ar40xx(4), arswitch(4), e6000sw(4), e6060sw(4), iicbus(4), ksz8995ma(4), etherswitchcfg(8)

HISTORY
The etherswitch framework first appeared in FreeBSD 10.0.

AUTHORS
Stefan Bethke